
module.exports = async function(req, res, next){
    require('./isAuthorized')(req,res,function(){
        if(!req.isSUPERVISEUR_ROLE){
            return res.status(401).json({
                code: 'AUTH_SUPERVISEUR_INVALID',
                message: 'Invalid superviseur Token!'
            });
        }
        next()
    })
}
